Next: LEN_TRIM, Previous: LEADZ, Up: Intrinsic Procedures [Contents][Index]

### 9.158 `LEN` — Length of a character entity

Description:

  Returns the length of a character string. If STRING is an array, the length of an element of STRING is returned. Note that STRING need not be defined when this intrinsic is invoked, since only the length, not the content, of STRING is needed.

Standard:

  Fortran 77 and later, with KIND argument Fortran 2003 and later

Class:

  Inquiry function

Syntax:

  `L = LEN(STRING [, KIND])`

Arguments:

  STRING | Shall be a scalar or array of type `CHARACTER`, with `INTENT(IN)`
  KIND | (Optional) An `INTEGER` initialization expression indicating the kind parameter of the result.

Return value:

  The return value is of type `INTEGER` and of kind KIND. If KIND is absent, the return value is of default integer kind.

Specific names:

  Name | Argument | Return type | Standard
  `LEN(STRING)` | `CHARACTER` | `INTEGER` | Fortran 77 and later

See also:

  LEN_TRIM, ADJUSTL, ADJUSTR